      SUBROUTINE XBTSHALLOWDEEP(ishallow,ixbttype,xdepth,xshallow,
     * iplat)

C    XBTSHALLOWDEEP CHECKS IF AN XBT IS SHALLOW (T4/T6 OR
C    UNKNOWN =< 550. M DEPTH), DEEP (T7, DEEP BLUE OR
C    > 550. M DEPTH UNKNOW TYPE ) OR NON OR DIFFERENTLY
C    CORRECTED TYPES (T5, AIR-DROP, SUBMARINE LAUNCH)

c    T4 , T6, T10, T11, Sparton XBT1,3,4,6,10

      ishallow=-1

      if ( ixbttype .eq. 2 ) then

       if ( xdepth .le. xshallow ) then
        ishallow=1
       else
        ishallow=0
       endif
       if ( iplat .eq. 183 ) ishallow=-1

      elseif ( ixbttype .eq. 208 .or. ixbttype .eq. 202
     *    .or. ixbttype .eq. 203 .or. ixbttype .eq. 205
     *    .or. ixbttype .eq. 209 .or. ixbttype .eq. 211  
     *    .or. ixbttype .eq. 211 .or. ixbttype .eq. 212  
     *    .or. ixbttype .eq. 215 .or. ixbttype .eq. 216  
     *    .or. ixbttype .eq. 216 .or. ixbttype .eq. 221  
     *    .or. ixbttype .eq. 222 .or. ixbttype .eq. 223  
     *    .or. ixbttype .eq. 226 .or. ixbttype .eq. 229  
     *    .or. ixbttype .eq. 220 .or. ixbttype .eq. 206  
     * ) then

       ishallow=1

c    T5

      elseif ( ixbttype .eq. 204 .or. ixbttype .eq. 210
     *    .or. ixbttype .eq. 210 .or. ixbttype .eq. 224
     *    .or. ixbttype .eq. 225 .or. ixbttype .eq. 219)
     *  then
      ishallow=-1

c   Air drop

      elseif ( ixbttype .eq. 233 .or. ixbttype .eq. 234
     *   .or.  ixbttype .eq. 238 .or. ixbttype .eq. 239
     *   .or. iplat .eq. 183) then
       ishallow= -1

c   Submarine

      elseif ( ixbttype .eq. 237 ) then
       ishallow=-1 

c   Strange types : MHI, Sparton 20, 20DB

      elseif ( ixbttype .eq. 218 .or. ixbttype .eq. 230
     *    .or. ixbttype .eq. 231 ) then
       ishallow=-1

c  Deep types: T7, Deep Blue, Fast Deep

      elseif ( ixbttype .eq. 201 .or. ixbttype .eq. 207
     *    .or. ixbttype .eq. 213 .or. ixbttype .eq. 214
     *    .or. ixbttype .eq. 217 .or. ixbttype .eq. 227
     *    .or. ixbttype .eq. 228 .or. ixbttype .eq. 232
     *    .or. ixbttype .eq. 235 .or. ixbttype .eq. 236
     * ) then

      ishallow= 0

      elseif ( ixbttype .gt. 2 ) then

       write(6,*) 'Type unaccounted for: ',ixbttype

      endif

      return
      end
